## BamfFactory BamfFactory — The base class for all factorys |

## Synopsis

    enum                BamfFactoryViewType;
    struct              BamfFactory;
    struct              BamfFactoryClass;

## Object Hierarchy

      GObject
       +----BamfFactory

## Description

BamfFactory is the base class that all factorys need to derive from.

## Details

### enum BamfFactoryViewType

    typedef enum {
      BAMF_FACTORY_VIEW,
      BAMF_FACTORY_WINDOW,
      BAMF_FACTORY_APPLICATION,
      BAMF_FACTORY_TAB,
      BAMF_FACTORY_NONE
    } BamfFactoryViewType;

`BAMF_FACTORY_VIEW` |
`BAMF_FACTORY_WINDOW` |
`BAMF_FACTORY_APPLICATION` |
`BAMF_FACTORY_TAB` |
`BAMF_FACTORY_NONE` |

### struct BamfFactory

    struct BamfFactory;

### struct BamfFactoryClass

    struct BamfFactoryClass {
      GObjectClass parent_class;
    };